irssi

Description:A modular textUI IRC client with IPv6 support
License: GPL-2
Homepage:https://irssi.org/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
9999 diff - - - - - - - - - - - - -
1.2.0-r2 diff + + + ~ + - ~ + + ~ ~ ~ +
1.1.2 + + + + + - ~ + + ~ ~ + +

USE flags

  • ipv6 - Add support for IP version 6
  • libressl - Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
  • otr - Adds support for a loadable IRC otr module
  • perl - Add optional support/bindings for the Perl language
  • proxy - Adds support for a loadable IRC proxy module
  • selinux - !!internal use only!! Security Enhanced Linux support, this must be set by the selinux profile or breakage will occur
  • socks5 - Add support for the socks5 proxy
  • ssl - Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)

Security Advisory

Date Severity Title
over 2 years normal irssi: Multiple vulnerabilities
almost 10 years high irssi: Execution of arbitrary code

Also available in: Atom

Thank you!